Uploaded image for project: 'Felix'
  1. Felix
  2. FELIX-5312

Use scope=provided for OSGi APIs dependencies

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: gogo.command-0.16.0, bundlerepository-2.0.8
    • Fix Version/s: None
    • Labels:
      None

      Description

      Theses API dependencies should be marked as provided as the framework (or external bundles are providing them at runtime).

      This avoid excluding them when theses modules are used as dependencies themselves.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                maggu2810 Markus Rathgeb
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: